Bug 1662561 - gnome-software despsolving error breaks all updates and tells user all software is up to date
Summary: gnome-software despsolving error breaks all updates and tells user all softwa...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1661231 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-30 01:01 UTC by Jonathan Underwood
Modified: 2019-11-27 23:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1780074 1789700 (view as bug list)
Environment:
Last Closed: 2019-11-27 23:28:12 UTC


Attachments (Terms of Use)
gnome-software after pressing the refresh updates button (36.82 KB, image/png)
2018-12-30 01:01 UTC, Jonathan Underwood
no flags Details

Description Jonathan Underwood 2018-12-30 01:01:17 UTC
Created attachment 1517415 [details]
gnome-software after pressing the refresh updates button

Description of problem:
For some weeks now, gnome-software hasn't functioned due to various depsolving errors. Latest example shown in attached screenshot.

Perhaps the most concerning thing about this is that, although an error message is displayed when I click the "refresh" button, prior to that, gnome-software reports tht software is up to date. That's not great, as users could be thinking their systems are fully patched, whereas a gnome-software problem is preventing updates from being detected and reported to the user.

Version-Release number of selected component (if applicable):
# rpm -qa | grep gnome-software
gnome-software-3.30.6-1.fc29.x86_64

# rpm -qa | grep -i PackageKit
PackageKit-1.1.12-2.fc29.x86_64
PackageKit-gstreamer-plugin-1.1.12-2.fc29.x86_64
PackageKit-gtk3-module-1.1.12-2.fc29.x86_64
PackageKit-Qt5-1.0.1-2.fc29.x86_64
PackageKit-glib-1.1.12-2.fc29.x86_64

Comment 1 Jonathan Underwood 2018-12-30 01:25:32 UTC
*** Bug 1661231 has been marked as a duplicate of this bug. ***

Comment 2 Jonathan Underwood 2018-12-30 01:29:17 UTC
To be clear, i think the following are serious security defects of gnome-software:

1. One depsolving error results in none of the available updates being made available to the user.

2. One depsolving error results in gnome-software informing the user that all software is up to date.

This behaviour means we're exposing users who have become accustomed to trusting gnome-software to notify them of updates (and also offer those updates during shutdown etc) unknowingly running vulnerable systems. I really think this needs some urgent attention.

Comment 3 Andrea Vai 2019-09-25 17:45:19 UTC
I am experiencing this bug on Fedora 30, don't know if it's better to file a new one.

# rpm -qa | grep gnome-software
gnome-software-3.32.4-1.fc30.x86_64

(btw,

# rpm -qa | grep -i PackageKit

returns nothing, is that normal?)

Comment 4 Ben Cotton 2019-10-31 18:48:56 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 23:28:12 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.